chromosome2integer {SNPchip} | R Documentation

## Converts chromosome to integer or vice versa

### Description

Provides a standard way of converting chromosome annotation stored in `SnpLevelSet` objects to the numeric class.

### Usage

    chromosome2integer(chrom)
    integer2chromosome(chrom)

### Arguments

`chrom` | chromosome

### Details

This is useful when sorting SNPs in an object by chromosome and physical position – ensures that the sorting is done in the same way for different objects.

The function currently provides the following conversions:

"X" -> 23 "Y" -> 24 "XY" -> 25 "M" -> 26

### Value

`integer` `character`

### Author(s)

R. Scharpf

[Package SNPchip version 1.8.0 Index]